Package com.avaya.clientservices.provider.certificate

## Enum CertificateEnrollmentResult

- java.lang.Object
- - java.lang.Enum<CertificateEnrollmentResult>
  - - com.avaya.clientservices.provider.certificate.CertificateEnrollmentResult

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CertificateEnrollmentResult>`

      public enum CertificateEnrollmentResult
      extends java.lang.Enum<CertificateEnrollmentResult>

  Certificate enrollment result codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALREADY_ENROLLED` | Issued when certificate was already enrolled.
    `CA_CERTIFICATE_INVALID` | Issued when connection to SCEP server failed because of invalid CA issue or CA doesn't exist.
    `CLIENT_CERTIFICATE_BAD` | Client certificate is corrupt or in other way invalid.
    `CLIENT_CERTIFICATE_CA_UNKNOWN` | Client certificate was issued by an unknown authority
    `CLIENT_CERTIFICATE_EXPIRED` | Client certificate has expired.
    `CLIENT_CERTIFICATE_MISSING` | Client certificate is missing.
    `CLIENT_CERTIFICATE_REVOKED` | Client certificate was revoked by the issuing authority.
    `CLIENT_CERTIFICATE_UNSUPPORTED` | Client certificate type is not supported by the server.
    `CONNECTION_FAILED` | Issued when connection to SCEP server failed.
    `FAILED` | Certificate enrollment is failed.
    `FAILED_TO_SET_IDENTITY` | Issued when the identity certificate cannot be applied.
    `IN_PROGRESS` | Issued when the certificate enrollment is already in progress.
    `REQUEST_PENDING` | Issued when the enrollment request is failed due to pending response (manual approvement is enabled on SCEP server).
    `SUCCESS` | Certificate enrollment is successful.
    `WRONG_CONFIGURATION` | Issued when enrollment failed because of wrong configuration.
    `WRONG_PASSWORD` | Issued when the enrollment password is wrong.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CertificateEnrollmentResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CertificateEnrollmentResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FAILED

          public static final CertificateEnrollmentResult FAILED

      Certificate enrollment is failed.

    - #### SUCCESS

          public static final CertificateEnrollmentResult SUCCESS

      Certificate enrollment is successful.

    - #### CONNECTION_FAILED

          public static final CertificateEnrollmentResult CONNECTION_FAILED

      Issued when connection to SCEP server failed.

    - #### CA_CERTIFICATE_INVALID

          public static final CertificateEnrollmentResult CA_CERTIFICATE_INVALID

      Issued when connection to SCEP server failed because of invalid CA issue or CA doesn't exist.

    - #### WRONG_CONFIGURATION

          public static final CertificateEnrollmentResult WRONG_CONFIGURATION

      Issued when enrollment failed because of wrong configuration.

    - #### ALREADY_ENROLLED

          public static final CertificateEnrollmentResult ALREADY_ENROLLED

      Issued when certificate was already enrolled.

    - #### WRONG_PASSWORD

          public static final CertificateEnrollmentResult WRONG_PASSWORD

      Issued when the enrollment password is wrong.

    - #### CLIENT_CERTIFICATE_MISSING

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_MISSING

      Client certificate is missing.

    - #### CLIENT_CERTIFICATE_BAD

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_BAD

      Client certificate is corrupt or in other way invalid.

    - #### CLIENT_CERTIFICATE_UNSUPPORTED

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_UNSUPPORTED

      Client certificate type is not supported by the server.

    - #### CLIENT_CERTIFICATE_REVOKED

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_REVOKED

      Client certificate was revoked by the issuing authority.

    - #### CLIENT_CERTIFICATE_EXPIRED

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_EXPIRED

      Client certificate has expired.

    - #### CLIENT_CERTIFICATE_CA_UNKNOWN

          public static final CertificateEnrollmentResult CLIENT_CERTIFICATE_CA_UNKNOWN

      Client certificate was issued by an unknown authority

    - #### REQUEST_PENDING

          public static final CertificateEnrollmentResult REQUEST_PENDING

      Issued when the enrollment request is failed due to pending response (manual approvement is enabled on SCEP server).

    - #### FAILED_TO_SET_IDENTITY

          public static final CertificateEnrollmentResult FAILED_TO_SET_IDENTITY

      Issued when the identity certificate cannot be applied.

    - #### IN_PROGRESS

          public static final CertificateEnrollmentResult IN_PROGRESS

      Issued when the certificate enrollment is already in progress.

  - ### Method Detail

    - #### values

          public static CertificateEnrollmentResult[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertificateEnrollmentResult c : CertificateEnrollmentResult.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertificateEnrollmentResult valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null